Package org.eigenbase.resgen

# Class PropertiesFileTask

java.lang.Object
org.eigenbase.resgen.FileTask
org.eigenbase.resgen.PropertiesFileTask

class PropertiesFileTask extends FileTask
Ant task which processes a properties file and generates a C++ or Java class from the resources in it.

Since:
  19 September, 2005
Version:
  $Id: //open/util/resgen/src/org/eigenbase/resgen/PropertiesFileTask.java#4 $
Author:
  jhyde

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) final Locale`
`locale`

### Fields inherited from class org.eigenbase.resgen.FileTask

`className, cppClassName, fileName, include, outputCpp, outputJava`

## Constructor Summary

Constructors
Constructor
Description
`PropertiesFileTask(ResourceGenTask.Include include, String fileName)`

## Method Summary

Modifier and Type
Method
Description
`(package private) void`
`process(ResourceGen generator)`
Given an existing properties file such as `happy/Birthday_fr_FR.properties`, generates the corresponding Java class happy.Birthday_fr_FR.java.

### Methods inherited from class org.eigenbase.resgen.FileTask

`checkUpToDate, configureCommentStyle, generateJava, getDestDirectory, getFile, getFileForComments, getResourceDirectory, getSrcDirectory, makeParentDirs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### locale

final Locale locale

## Constructor Details

### PropertiesFileTask

PropertiesFileTask(ResourceGenTask.Include include, String fileName)

## Method Details

### process

void process(ResourceGen generator) throws IOException
Given an existing properties file such as `happy/Birthday_fr_FR.properties`, generates the corresponding Java class happy.Birthday_fr_FR.java.

todo: Validate.

Specified by:
  `process` in class `FileTask`
Throws:
  `IOException`